curl --request PUT \
--url https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"createdAt": 123,
"folder": true,
"id": "<string>",
"name": "<string>",
"updatedAt": 123,
"archivedAt": 123,
"children": [
"<string>"
],
"hash": "<string>"
}Update the content file in the specified environment and path within the HubSpot CMS. This operation allows you to upload a new file to replace the existing content at the given path. It is useful for managing and updating your website’s source code files directly through the API.
curl --request PUT \
--url https://api.hubapi.com/cms/source-code/2026-03/{environment}/content/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"createdAt": 123,
"folder": true,
"id": "<string>",
"name": "<string>",
"updatedAt": 123,
"archivedAt": 123,
"children": [
"<string>"
],
"hash": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The environment in which the content file is located, such as 'staging' or 'production'.
The path to the content file that you want to update. This should be a string representing the file's location.
.+successful operation
Timestamp of when the object was first created.
Determines whether or not this path points to a folder.
The path of the file in the CMS Developer File System.
The name of the file.
Timestamp of when the object was last updated.
Timestamp of when the object was archived (deleted).
If the object is a folder, contains the filenames of the files within the folder.
A unique identifier for the file's content, used to verify data integrity.
Was this page helpful?